import { ElementFinder, Locator, ProtractorBrowser } from 'protractor';
import { ILocation, ISize, IWebElementId, WebElement } from 'selenium-webdriver';
import { BrowserSync } from './browser-sync';
export declare class ElementFinderSync {
    private element;
    selectionArgs: any;
    selectionOrdinal: number;
    constructor(element: ElementFinder);
    findVisible(selector: string | Locator): ElementFinderSync;
    findVisibles(selector: string | Locator): ElementFinderSync[];
    findElement(selector: string | Locator): ElementFinderSync;
    findElements(selector: string | Locator): ElementFinderSync[];
    assertElementDoesNotExist(selector: string | Locator): boolean;
    getElementFinder(): ElementFinder;
    getSelectionPath(): string;
    reselect(): ElementFinderSync;
    waitUntil(condition: string): this;
    waitUntilRemoved(): this;
    isPresent(): boolean;
    static fromWebElement_(browser: BrowserSync | ProtractorBrowser, webElem: WebElement, locator?: Locator): ElementFinderSync;
    evaluate(expression: string): ElementFinderSync;
    allowAnimations(value: boolean): ElementFinderSync;
    isElementPresent(subLocator: Locator): boolean;
    click(): ElementFinderSync;
    sendKeys(...varArgs: Array<string | number>): ElementFinderSync;
    getTagName(): string;
    getWebElement(): any;
    getCssValue(cssStyleProperty: string): string;
    getAttribute(attributeName: string): string;
    getText(): string;
    getSize(): ISize;
    getLocation(): ILocation;
    isEnabled(): boolean;
    isSelected(): boolean;
    submit(): ElementFinderSync;
    clear(): ElementFinderSync;
    isDisplayed(): boolean;
    takeScreenshot(optScroll?: boolean): string;
    getOuterHtml(): string;
    getInnerHtml(): string;
    serialize(): IWebElementId;
    getId(): string;
    scrollIntoView(): ElementFinderSync;
    sendEnterKey(): ElementFinderSync;
    sendTabKey(): ElementFinderSync;
    executeJQueryElementMethod(method: string, arg?: any): any;
    injectjQuery(): void;
    closest(selector: string): ElementFinderSync;
    hasClass(className: string): boolean;
    isFocused(): boolean;
    innerHeight(): number;
    innerWidth(): number;
    is(selector: string): boolean;
    outerHeight(includeMargin?: boolean): any;
    outerWidth(includeMargin?: boolean): any;
    next(selector?: string): ElementFinderSync;
    offset(): {
        top: number;
        left: number;
    };
    parent(selector?: string): ElementFinderSync;
    parents(selector?: string): ElementFinderSync[];
    position(): {
        top: number;
        left: number;
    };
    prev(selector?: string): ElementFinderSync;
    prop(name: string): string | number | boolean;
    scrollLeft(): number;
    scrollTop(): number;
    private runWithStaleDetection<T>(func);
}
